CommandLauncherProxy
Date: 2017-01-22

org.apache.commons.exec.launcher

## Class CommandLauncherProxy

- java.lang.Object
- - org.apache.commons.exec.launcher.CommandLauncherImpl
  - - org.apache.commons.exec.launcher.CommandLauncherProxy

- All Implemented Interfaces:
    CommandLauncher
  Direct Known Subclasses:
    OS2CommandLauncher, WinNTCommandLauncher

      public abstract class CommandLauncherProxy
      extends CommandLauncherImpl

  A command launcher that proxies another command launcher. Sub-classes override exec(args, env, workdir)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandLauncherProxy(CommandLauncher launcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Process` | `exec(CommandLine cmd, java.util.Map<java.lang.String,java.lang.String> env)` Launches the given command in a new process.

    - ### Methods inherited from class org.apache.commons.exec.launcher.CommandLauncherImpl

      `exec, isFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandLauncherProxy

          public CommandLauncherProxy(CommandLauncher launcher)

  - ### Method Detail

    - #### exec

          public java.lang.Process exec(CommandLine cmd,
                               java.util.Map<java.lang.String,java.lang.String> env)
                                 throws java.io.IOException

      Launches the given command in a new process. Delegates this method to the proxied launcher
      Specified by:
        `exec` in interface `CommandLauncher`
      Overrides:
        `exec` in class `CommandLauncherImpl`
      Parameters:
        `cmd` - the command line to execute as an array of strings
        `env` - the environment to set as an array of strings
      Returns:
        the newly created process
      Throws:
        `java.io.IOException` - forwarded from the exec method of the command launcher